=== debian/changelog ===
checkmd5 (0.100) mx; urgency=medium

  * Initaial release

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 25 Sep 2024 16:44:53 +0000
