=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --no-automatic-dbgsym --parallel 

build:
	dh build
	make

clean:
	dh clean
	make clean
